TelepathyQt4: Tp::ContactLocation Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::ContactLocation Class Reference
[Connection proxies]

The ContactLocation class provides an object representing the location of a Contact. More...

`#include <TelepathyQt4/ContactLocation>`

List of all members.

## Public Member Functions

- virtual ~ContactLocation ()
- bool isValid () const
- QString countryCode () const
- QString country () const
- QString region () const
- QString locality () const
- QString area () const
- QString postalCode () const
- QString street () const
- QString building () const
- QString floor () const
- QString room () const
- QString text () const
- QString description () const
- QString uri () const
- QString language () const
- double latitude () const
- double longitude () const
- double altitude () const
- double accuracy () const
- double speed () const
- double bearing () const
- QDateTime timestamp () const

## Detailed Description

The ContactLocation class provides an object representing the location of a Contact.

## Constructor & Destructor Documentation

Tp::ContactLocation::~ContactLocation | ( |  | ) | `[virtual]`

Class destructor.

## Member Function Documentation

bool Tp::ContactLocation::isValid | ( |  | ) | const

QString Tp::ContactLocation::countryCode | ( |  | ) | const

QString Tp::ContactLocation::country | ( |  | ) | const

QString Tp::ContactLocation::region | ( |  | ) | const

QString Tp::ContactLocation::locality | ( |  | ) | const

QString Tp::ContactLocation::area | ( |  | ) | const

QString Tp::ContactLocation::postalCode | ( |  | ) | const

QString Tp::ContactLocation::street | ( |  | ) | const

QString Tp::ContactLocation::building | ( |  | ) | const

QString Tp::ContactLocation::floor | ( |  | ) | const

QString Tp::ContactLocation::room | ( |  | ) | const

QString Tp::ContactLocation::text | ( |  | ) | const

QString Tp::ContactLocation::description | ( |  | ) | const

QString Tp::ContactLocation::uri | ( |  | ) | const

QString Tp::ContactLocation::language | ( |  | ) | const

double Tp::ContactLocation::latitude | ( |  | ) | const

double Tp::ContactLocation::longitude | ( |  | ) | const

double Tp::ContactLocation::altitude | ( |  | ) | const

double Tp::ContactLocation::accuracy | ( |  | ) | const

double Tp::ContactLocation::speed | ( |  | ) | const

double Tp::ContactLocation::bearing | ( |  | ) | const

QDateTime Tp::ContactLocation::timestamp | ( |  | ) | const